Bug 105800 - lost support for orinoco wireless between 093 and 094
lost support for orinoco wireless between 093 and 094
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-27 14:21 EDT by Need Real Name
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-27 14:21:14 EDT
Description of problem:
Rel 093 had support for orinoco-based wireless network cards.  It appears to 
be missing from Rel 094.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  open redhat-config-network
2.  create new device
3.  no orinoco option is available for wireless devices
    
Actual results:
Cannot get network access.

Expected results:
Network access.

Additional info:
Comment 1 Need Real Name 2003-10-03 12:20:49 EDT
------- Additional Comments From harald@redhat.com  2003-09-30 07:30 ------- 
which kernel version and which version of redhat-config-network? 
 
------- Additional Comments From scowles@earthlink.net 2003-10-03 12:20 ------ 
 
# uname -a 
Linux bubo10 2.4.22-1.2061.nptl #1 Mon Sep 22 14:39:36 EDT 2003 i686 i686 i386 
GNU/Linux 
 
# head -20 /usr/sbin/redhat-config-network /dev/null 
==> /usr/sbin/redhat-config-network <== 
#!/bin/sh 
 
if [ -n "$DISPLAY" -a -f /usr/sbin/redhat-config-network-gui ]; then 
    exec /usr/sbin/redhat-config-network-gui 
else 
    exec /usr/sbin/redhat-config-network-tui 
fi 
 
==> /dev/null <== 
 
Comment 2 Need Real Name 2003-10-03 12:32:53 EDT
Harald, at bootup, kudzu picks up the device with no apparent error.  Current 
listing from /etc/sysconf/hwconf shows: 
 
     152 class: NETWORK 
     153 bus: PCI 
     154 detached: 0 
     155 device: eth1 
     156 driver: orinoco_pci 
     157 desc: "Harris Semiconductor|Prism 2.5 Wavelan chipset" 
     158 vendorId: 1260 
     159 deviceId: 3873 
     160 subVendorId: 1468 
     161 subDeviceId: 0201 
     162 pciType: 1 
     163 pcibus:  2 
     164 pcidev:  2 
     165 pcifn:  0 
     166 - 
 
but in the messages log: 
 
Sep 29 16:32:09 bubo10 insmod: 
/lib/modules/2.4.22-1.2061.nptl/kernel/drivers/net/wireless/orinoco_pci.o: 
init_module: No such device 
Sep 29 16:32:09 bubo10 insmod: Hint: insmod errors can be caused by incorrect 
module parameters, including invalid IO or IRQ parameters. 
 
The problem might be the DeviceID.  One patch I found says that the following 
makes it work: 
 
--- linux-2.4.20/drivers/net/wireless/orinoco_pci.c.orig     2003-05-21 
11:40:59.000000000 -0400 
+++ linux-2.4.20/drivers/net/wireless/orinoco_pci.c     2003-05-21 
11:41:52.000000000 -0400 
@@ -359,6 +359,7 @@ 
 } 
 
 static struct pci_device_id orinoco_pci_pci_id_table[] __devinitdata = { 
+       {0x1260, 0x3872, PCI_ANY_ID, PCI_ANY_ID,}, 
        {0x1260, 0x3873, PCI_ANY_ID, PCI_ANY_ID,}, 
        {0,}, 
 }; 
 
 
Comment 3 Harald Hoyer 2003-10-06 02:59:33 EDT
ok, then I'll reassign to component kernel
Comment 4 Dave Jones 2003-10-06 07:32:17 EDT
From comment #2:

     158 vendorId: 1260 
     159 deviceId: 3873 
                   ^^^^
     160 subVendorId: 1468 
     161 subDeviceId: 0201 

I don't see how this patch can improve things.
Comment 5 Need Real Name 2003-11-01 17:07:00 EST
orinoco support is still missing from fedora 095. 
Comment 6 Dave Jones 2003-11-10 13:12:07 EST
The kernel driver already has the ID for this NIC.

Have you tried modprobe instead of insmod (this pulls in other modules
that orinoco may be dependant on)
Comment 7 Dave Jones 2005-01-10 20:04:03 EST
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.